{$DOUBLE}
{ 	a NON-running test program for examining callsite for MSGLEN.
    basically, compile this with the /macro/noobj switches, then use
    the resulting macro file to get the call site for MSGLEN. 
    
    this is used to allow MSSEND to size the message from the macro
    level just prior to sending it. neat huh? 
}

%INCLUDE 'pas$ext:general.typ';
%INCLUDE 'pas$ext:msgpacket.pkg';
%INCLUDE 'pas$ext:message.pkg';

VAr
    m: Message_rec;
    l: integer;
    
begin
    l := msglen(m.body)
end.
